from osiris_skretrieval.osiris_triplet import OsirisTriplet
import numpy as np


class OsirisOzoneRetrieval(OsirisTriplet):
    def __init__(self, **kwargs):
        super().__init__(**kwargs)

    def rtm_options(self):
        options = dict()
        options['calcwf'] = 2
        options['wfheights'] = self._retrieval_altitudes
        options['wfwidths'] = np.gradient(self._retrieval_altitudes)
        options['numordersofscatter'] = 50

        return options, 'o3'